Index: palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/models/cmaq/cmaq_s99.def
===================================================================
--- palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/models/cmaq/cmaq_s99.def	(revision 2696)
+++ palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/models/cmaq/cmaq_s99.def	(revision 2696)
@@ -0,0 +1,111 @@
+#include cmaq_s99.spc
+#include cmaq_s99.eqn
+
+#LOOKATALL
+
+#MONITOR O3; NO; NO2; ETHENE;
+
+#INITVALUES
+
+	CFACTOR = 1.    ;              {Conversion Factor}
+        NO2             = 46.0;       
+        NO              = 30.0;       
+        O3P             = 16.0;       
+        O3              = 48.0;       
+        NO3             = 62.0;       
+        N2O5            = 108.0;       
+        HNO3            = 63.0;       
+        O1D2            = 16.0;       
+        HO              = 17.0;       
+        HONO            = 47.0;       
+        HO2             = 33.0;       
+        CO              = 28.0;       
+        HNO4            = 79.0;       
+        HO2H            = 34.0;       
+        SO2             = 64.0;       
+        SULF            = 98.0;       
+        C_O2            = 47.0;       
+        HCHO            = 30.0;       
+        COOH            = 48.0;       
+        MEOH            = 32.0;       
+        RO2_R           = 1.0;       
+        ROOH            = 62.0;       
+        R2O2            = 1.0;       
+        RO2_N           = 1.0;       
+        RNO3            = 133.0;       
+        MEK             = 72.0;       
+        PROD2           = 100.0;       
+        CCO_O2          = 75.0;       
+        PAN             = 121.0;       
+        CCO_OOH         = 76.0;       
+        CCO_OH          = 60.0;       
+        RCO_O2          = 89.0;       
+        PAN2            = 135.0;       
+        CCHO            = 44.0;       
+        RCO_OOH         = 90.0;       
+        RCO_OH          = 74.0;       
+        BZCO_O2         = 137.0;       
+        PBZN            = 183.0;       
+        BZ_O            = 93.0;       
+        MA_RCO3         = 101.0;       
+        MA_PAN          = 147.0;       
+        TBU_O           = 73.0;       
+        ACET            = 58.0;       
+        NPHE            = 139.0;       
+        PHEN            = 94.0;       
+        BZNO2_O         = 139.0;       
+        HOCOO           = 63.0;       
+        HCOOH           = 46.0;       
+        RCHO            = 58.0;       
+        GLY             = 58.0;       
+        MGLY            = 72.0;       
+        BACL            = 86.0;       
+        CRES            = 108.0;       
+        BALD            = 106.0;       
+        METHACRO        = 70.0;       
+        MVK             = 70.0;       
+        ISOPROD         = 70.0;       
+        DCB1            = 58.0;       
+        DCB2            = 72.0;       
+        DCB3            = 72.0;       
+        ETHENE          = 28.0;       
+        ISOPRENE        = 68.0;       
+        TRP1            = 136.0;       
+        ALK1            = 30.1;       
+        ALK2            = 36.7;       
+        ALK3            = 58.6;       
+        ALK4            = 77.6;       
+        ALK5            = 118.9;       
+        ARO1            = 98.6;       
+        ARO2            = 118.7;       
+        OLE1            = 72.3;       
+        OLE2            = 75.8;       
+
+#INLINE F77_INIT
+        TSTART = 12.0D0*3600.0D0
+        TEND   = TSTART + 120.0D0*3600.0D0
+        DT     = 3600.D0
+        TEMP   = 300.0D0
+#ENDINLINE   
+   
+#INLINE F90_INIT
+        TSTART = 12.0d0*3600.0d0
+        TEND   = TSTART + 120.0d0*3600.0d0
+        DT     = 3600.d0
+        TEMP   = 300.0d0
+#ENDINLINE   
+     
+#INLINE MATLAB_INIT
+   global TSTART TEND DT TEMP
+   TSTART = 12*3600;
+   TEND   = TSTART + 120*3600;
+   DT     = 3600;
+   TEMP   = 300;
+#ENDINLINE   
+     
+#INLINE C_INIT
+   TSTART = 12.0*3600.0;
+   TEND   = TSTART + 120.0*3600.0;
+   DT     = 3600.0;
+   TEMP   = 300.0;
+#ENDINLINE
Index: palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/models/cmaq/cmaq_s99.eqn
===================================================================
--- palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/models/cmaq/cmaq_s99.eqn	(revision 2696)
+++ palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/models/cmaq/cmaq_s99.eqn	(revision 2696)
@@ -0,0 +1,285 @@
+{ SAPRC-99 Fixed Parameter Mechanism }
+{ Created from BASEMECH.XLS 21-Jul-2004 10:31 }
+{  Base mechanism only.  Reactions of TERP, ALKn, AROn, OLEn removed. }
+{ SAPRC99 }
+
+#EQUATIONS
+{1} NO2 = NO + O3P : ((1.0));
+{2} O3P + O2 + M = O3 : (5.68e-34);
+{3} O3P + O3 = PROD : (8.00e-12);
+{4} O3P + NO + M = NO2 : (1.00e-31);
+{5} O3P + NO2 = NO : (6.50e-12);
+{6} O3P + NO2 = NO3 : (9.00e-32);
+{8} O3 + NO = NO2 : (1.80e-12);
+{9} O3 + NO2 = NO3 : (1.40e-13);
+{10} NO + NO3 = 2NO2 : (1.80e-11);
+{11} NO + NO + O2 = 2NO2 : (3.30e-39);
+{12} NO2 + NO3 = N2O5 : (2.80e-30);
+{13} N2O5 = NO2 + NO3 : (1.00e-03);
+{14} N2O5 + H2O = 2HNO3 : (2.60e-22);
+{17} NO2 + NO3 = NO + NO2 : (4.50e-14);
+{18} NO3 = NO : (1.0);
+{19} NO3 = NO2 + O3P : (1.0);
+{20} O3 = O3P : (1.0);
+{21} O3 = O1D2 : (1.0);
+{22} O1D2 + H2O = 2HO : (2.20e-10);
+{23} O1D2 + M = O3P : (2.09e-11);
+{24} HO + NO = HONO : (7.00e-31);
+{25} HONO = HO + NO : (1.0);
+{26} HONO = HO2 + NO2 : (1.0);
+{27} HO + HONO = NO2 : (2.70e-12);
+{28} HO + NO2 = HNO3 : (2.43e-30);
+{29} HO + NO3 = HO2 + NO2 : (2.00e-11);
+{30} HO + HNO3 = NO3 : (7.20e-15);
+{31} HNO3 = HO + NO2 : (1.0);
+{32} HO + CO = HO2 : (1.30e-13);
+{33} HO + O3 = HO2 : (1.90e-12);
+{34} HO2 + NO = HO + NO2 : (3.40e-12);
+{35} HO2 + NO2 = HNO4 : (1.80e-31);
+{36} HNO4 = HO2 + NO2 : (4.10e-05);
+{37} HNO4 = 0.61HO2 + 0.61NO2 + 0.39HO + 0.39NO3 : (1.0);
+{38} HNO4 + HO = NO2 : (1.50e-12);
+{39} HO2 + O3 = HO : (1.40e-14);
+{40A} HO2 + HO2 = HO2H : (2.20e-13);
+{40B} HO2 + HO2 + H2O = HO2H : (3.08e-34);
+{41} NO3 + HO2 = 0.8HO + 0.8NO2 + 0.2HNO3 : (4.00e-12);
+{42} NO3 + NO3 = 2NO2 : (8.50e-13);
+{43} HO2H = 2HO : (1.0);
+{44} HO2H + HO = HO2 : (2.90e-12);
+{45} HO + HO2 =  PROD: (4.80e-11);
+{S2OH} HO + SO2 = HO2 + SULF : (4.00e-31);
+{H2OH} HO + H2 = HO2 : (7.70e-12);
+{MER1} C_O2 + NO = NO2 + HCHO + HO2 : (2.80e-12);
+{MER4} C_O2 + HO2 = COOH : (3.80e-13);
+{MEN3} C_O2 + NO3 = HCHO + HO2 + NO2 : (1.30e-12);
+{MER5} C_O2 + C_O2 = MEOH + HCHO : (2.45e-14);
+{MER6} C_O2 + C_O2 = 2HCHO + 2HO2 : (5.90e-13);
+{RRNO} RO2_R + NO = NO2 + HO2 : (2.70e-12);
+{RRH2} RO2_R + HO2 = ROOH : (1.90e-13);
+{RRN3} RO2_R + NO3 = NO2 + HO2 : (2.30e-12);
+{RRME} RO2_R + C_O2 = HO2 + 0.75HCHO + 0.25MEOH : (2.00e-13);
+{RRR2} RO2_R + RO2_R = HO2 : (3.50e-14);
+{R2NO} R2O2 + NO = NO2 : (1.0);
+{R2H2} R2O2 + HO2 = HO2 : (1.0);
+{R2N3} R2O2 + NO3 = NO2 : (1.0);
+{R2ME} R2O2 + C_O2 = C_O2 : (1.0);
+{R2RR} R2O2 + RO2_R = RO2_R : (1.0);
+{R2R3} R2O2 + R2O2 = PROD : (1.0);
+{RNNO} RO2_N + NO = RNO3 : (1.0);
+{RNH2} RO2_N + HO2 = ROOH : (1.0);
+{RNME} RO2_N + C_O2 = HO2 + 0.25MEOH + 0.5MEK + 0.5PROD2 + 0.75HCHO
+        : (1.0);
+{RNN3} RO2_N + NO3 = NO2 + HO2 + MEK : (1.0);
+{RNRR} RO2_N + RO2_R = HO2 + 0.5MEK + 0.5PROD2 : (1.0);
+{RNR2} RO2_N + R2O2 = RO2_N : (1.0);
+{RNRN} RO2_N + RO2_N = MEK + HO2 + PROD2 : (1.0);
+{APN2} CCO_O2 + NO2 = PAN : (2.70e-28);
+{DPAN} PAN = CCO_O2 + NO2 : (4.90e-03);
+{APNO} CCO_O2 + NO = C_O2 + NO2 : (7.80e-12);
+{APH2} CCO_O2 + HO2 = 0.75CCO_OOH + 0.25CCO_OH + 0.25O3 : (4.30e-13);
+{APN3} CCO_O2 + NO3 = C_O2 + NO2 : (4.00e-12);
+{APME} CCO_O2 + C_O2 = CCO_OH + HCHO : (1.80e-12);
+{APRR} CCO_O2 + RO2_R = CCO_OH : (7.50e-12);
+{APR2} CCO_O2 + R2O2 = CCO_O2 : (1.0);
+{APRN} CCO_O2 + RO2_N = CCO_OH + PROD2 : (1.0);
+{APAP} CCO_O2 + CCO_O2 = 2C_O2 : (2.90e-12);
+{PPN2} RCO_O2 + NO2 = PAN2 : (1.20e-11);
+{PAN2} PAN2 = RCO_O2 + NO2 : (2.00e+15);
+{PPNO} RCO_O2 + NO = NO2 + CCHO + RO2_R : (1.25e-11);
+{PPH2} RCO_O2 + HO2 = 0.75RCO_OOH + 0.25RCO_OH + 0.25O3 : (1.0);
+{PPN3} RCO_O2 + NO3 = NO2 + CCHO + RO2_R : (1.0);
+{PPME} RCO_O2 + C_O2 = RCO_OH + HCHO : (1.0);
+{PPRR} RCO_O2 + RO2_R = RCO_OH : (1.0);
+{PPR2} RCO_O2 + R2O2 = RCO_O2 : (1.0);
+{PPRN} RCO_O2 + RO2_N = RCO_OH + PROD2 : (1.0);
+{PPAP} RCO_O2 + CCO_O2 = C_O2 + CCHO + RO2_R : (1.0);
+{PPPP} RCO_O2 + RCO_O2 = 2CCHO + 2RO2_R : (1.0);
+{BPN2} BZCO_O2 + NO2 = PBZN : (1.37e-11);
+{BPAN} PBZN = BZCO_O2 + NO2 : (7.90e+16);
+{BPNO} BZCO_O2 + NO = NO2 + BZ_O + R2O2 : (1.0);
+{BPH2} BZCO_O2 + HO2 = 0.75RCO_OOH + 0.25RCO_OH + 0.25O3 : (1.0);
+{BPN3} BZCO_O2 + NO3 = NO2 + BZ_O + R2O2 : (1.0);
+{BPME} BZCO_O2 + C_O2 = RCO_OH + HCHO : (1.0);
+{BPRR} BZCO_O2 + RO2_R = RCO_OH : (1.0);
+{BPR2} BZCO_O2 + R2O2 = BZCO_O2 : (1.0);
+{BPRN} BZCO_O2 + RO2_N = RCO_OH + PROD2 : (1.0);
+{BPAP} BZCO_O2 + CCO_O2 = C_O2 + BZ_O + R2O2 : (1.0);
+{BPPP} BZCO_O2 + RCO_O2 = CCHO + RO2_R + BZ_O + R2O2 : (1.0);
+{BPBP} BZCO_O2 + BZCO_O2 = 2BZ_O + 2R2O2 : (1.0);
+{MPN2} MA_RCO3 + NO2 = MA_PAN : (1.0);
+{MPPN} MA_PAN = MA_RCO3 + NO2 : (1.60e+16);
+{MPNO} MA_RCO3 + NO = NO2 + HCHO + CCO_O2 : (1.0);
+{MPH2} MA_RCO3 + HO2 = 0.75RCO_OOH + 0.25RCO_OH + 0.25O3 : (1.0);
+{MPN3} MA_RCO3 + NO3 = NO2 + HCHO + CCO_O2 : (1.0);
+{MPME} MA_RCO3 + C_O2 = RCO_OH + HCHO : (1.0);
+{MPRR} MA_RCO3 + RO2_R = RCO_OH : (1.0);
+{MPR2} MA_RCO3 + R2O2 = MA_RCO3 : (1.0);
+{MPRN} MA_RCO3 + RO2_N = 2RCO_OH : (1.0);
+{MPAP} MA_RCO3 + CCO_O2 = C_O2 + HCHO + CCO_O2 : (1.0);
+{MPPP} MA_RCO3 + RCO_O2 = HCHO + CCO_O2 + CCHO + RO2_R : (1.0);
+{MPBP} MA_RCO3 + BZCO_O2 = HCHO + CCO_O2 + BZ_O + R2O2 : (1.0);
+{MPMP} MA_RCO3 + MA_RCO3 = 2HCHO + 2CCO_O2 : (1.0);
+{TBON} TBU_O + NO2 = RNO3 : (2.40e-11);
+{TBOD} TBU_O = ACET + C_O2 : (7.50e+14);
+{BRN2} BZ_O + NO2 = NPHE : (2.30e-11);
+{BRH2} BZ_O + HO2 = PHEN : (1.0);
+{BRXX} BZ_O = PHEN : (1.00e-03);
+{BNN2} BZNO2_O + NO2 = PROD : (1.0);
+{BNH2} BZNO2_O + HO2 = NPHE : (1.0);
+{BNXX} BZNO2_O = NPHE : (1.0);
+{FAHV} HCHO = 2HO2 + CO : (1.0);
+{FAVS} HCHO = CO : (1.0);
+{FAOH} HCHO + HO = HO2 + CO : (8.60e-12);
+{FAH2} HCHO + HO2 = HOCOO : (9.70e-15);
+{FAHR} HOCOO = HO2 + HCHO : (2.40e+12);
+{FAHN} HOCOO + NO = HCOOH + NO2 + HO2 : (1.0);
+{FAN3} HCHO + NO3 = HNO3 + HO2 + CO : (2.00e-12);
+{AAOH} CCHO + HO = CCO_O2 : (5.60e-12);
+{AAHV} CCHO = CO + HO2 + C_O2 : (1.0);
+{AAN3} CCHO + NO3 = HNO3 + CCO_O2 : (1.40e-12);
+{PAOH} RCHO + HO = 0.034RO2_R + 0.001RO2_N + 0.965RCO_O2 + 0.034CO +
+         0.034CCHO : (2.00e-11);
+{PAHV} RCHO = CCHO + RO2_R + CO + HO2 : (1.0);
+{PAN3} RCHO + NO3 = HNO3 + RCO_O2 : (1.40e-12);
+{K3OH} ACET + HO = HCHO + CCO_O2 + R2O2 : (1.10e-12);
+{K3HV} ACET = CCO_O2 + C_O2 : (1.0);
+{K4OH} MEK + HO = 0.37RO2_R + 0.042RO2_N + 0.616R2O2 + 0.492CCO_O2 +
+         0.096RCO_O2 + 0.115HCHO + 0.482CCHO + 0.37RCHO : (1.30e-12);
+{K4HV} MEK = CCO_O2 + CCHO + RO2_R : (1.50e-1);
+{MeOH} MEOH + HO = HCHO + HO2 : (3.10e-12);
+{MER9} COOH + HO = 0.35HCHO + 0.35HO + 0.65C_O2 : (2.90e-12);
+{MERA} COOH = HCHO + HO2 + HO : (1.0);
+{LPR9} ROOH + HO = RCHO + 0.34RO2_R + 0.66HO : (1.10e-11);
+{LPRA} ROOH = RCHO + HO2 + HO : (1.0);
+{GLHV} GLY = 2CO + 2HO2 : (1.0);
+{GLVM} GLY = HCHO + CO : (6.00e-3);
+{GLOH} GLY + HO = 0.63HO2 + 1.26CO + 0.37RCO_O2 : (1.10e-11);
+{GLN3} GLY + NO3 = HNO3 + 0.63HO2 + 1.26CO + 0.37RCO_O2 : (2.80e-12);
+{MGHV} MGLY = HO2 + CO + CCO_O2 : (1.0);
+{MGOH} MGLY + HO = CO + CCO_O2 : (1.50e-11);
+{MGN3} MGLY + NO3 = HNO3 + CO + CCO_O2 : (1.40e-12);
+{BAHV} BACL = 2CCO_O2 : (1.0);
+{PHOH} PHEN + HO = 0.24BZ_O + 0.76RO2_R + 0.23GLY : (2.63e-11);
+{PHN3} PHEN + NO3 = HNO3 + BZ_O : (3.78e-12);
+{CROH} CRES + HO = 0.24BZ_O + 0.76RO2_R + 0.23MGLY : (4.20e-11);
+{CRN3} CRES + NO3 = HNO3 + BZ_O : (1.37e-11);
+{NPN3} NPHE + NO3 = HNO3 + BZNO2_O : (1.0);
+{BZOH} BALD + HO = BZCO_O2 : (1.29e-11);
+{BZHV} BALD = PROD : (5.00e-2);
+{BZNT} BALD + NO3 = HNO3 + BZCO_O2 : (1.40e-12);
+{MAOH} METHACRO + HO = 0.5RO2_R + 0.416CO + 0.084HCHO + 0.416MEK +
+         0.084MGLY + 0.5MA_RCO3 : (1.86e-11);
+{MAO3} METHACRO + O3 = 0.008HO2 + 0.1RO2_R + 0.208HO + 0.1RCO_O2 + 0.45CO +
+         0.2HCHO + 0.9MGLY + 0.333HCOOH : (1.36e-15);
+{MAN3} METHACRO + NO3 = 0.5HNO3 + 0.5RO2_R + 0.5CO + 0.5MA_RCO3
+        : (1.50e-12);
+{MAOP} METHACRO + O3P = RCHO : (6.34e-12);
+{MAHV} METHACRO = 0.34HO2 + 0.33RO2_R + 0.33HO + 0.67CCO_O2 + 0.67CO +
+         0.67HCHO + 0.33MA_RCO3 : (4.10e-3);
+{MVOH} MVK + HO = 0.3RO2_R + 0.025RO2_N + 0.675R2O2 + 0.675CCO_O2 +
+         0.3HCHO + 0.675RCHO + 0.3MGLY : (4.14e-12);
+{MVO3} MVK + O3 = 0.064HO2 + 0.05RO2_R + 0.164HO + 0.05RCO_O2 + 0.475CO +
+         0.1HCHO + 0.95MGLY + 0.351HCOOH : (7.51e-16);
+{MVOP} MVK + O3P = 0.45RCHO + 0.55MEK : (4.32e-12);
+{MVHV} MVK = 0.3C_O2 + 0.7CO + 0.7PROD2 + 0.3MA_RCO3
+             : (2.10e-3);
+{IPOH} ISOPROD + HO = 0.67RO2_R + 0.041RO2_N + 0.289MA_RCO3 + 0.336CO +
+         0.055HCHO + 0.129CCHO + 0.013RCHO + 0.15MEK + 0.332PROD2 +
+         0.15GLY + 0.174MGLY : (6.19e-11);
+{IPO3} ISOPROD + O3 = 0.4HO2 + 0.048RO2_R + 0.048RCO_O2 + 0.285HO +
+         0.498CO + 0.125HCHO + 0.047CCHO + 0.21MEK + 0.023GLY +
+         0.742MGLY + 0.1HCOOH + 0.372RCO_OH : (4.18e-18);
+{IPN3} ISOPROD + NO3 = 0.799RO2_R + 0.051RO2_N + 0.15MA_RCO3 + 0.572CO +
+         0.15HNO3 + 0.227HCHO + 0.218RCHO + 0.008MGLY + 0.572RNO3
+        : (1.00e-13);
+{IPHV} ISOPROD = 1.233HO2 + 0.467CCO_O2 + 0.3RCO_O2 + 1.233CO + 0.3HCHO +
+         0.467CCHO + 0.233MEK : (4.10e-3);
+{K6OH} PROD2 + HO = 0.379HO2 + 0.473RO2_R + 0.07RO2_N + 0.029CCO_O2 +
+         0.049RCO_O2 + 0.213HCHO + 0.084CCHO + 0.558RCHO + 0.115MEK +
+         0.329PROD2 : (1.50e-11);
+{K6HV} PROD2 = 0.96RO2_R + 0.04RO2_N + 0.515R2O2 + 0.667CCO_O2 +
+         0.333RCO_O2 + 0.506HCHO + 0.246CCHO + 0.71RCHO 
+         : (2.00e-2);
+{RNOH} RNO3 + HO = 0.338NO2 + 0.113HO2 + 0.376RO2_R + 0.173RO2_N +
+         0.596R2O2 + 0.01HCHO + 0.439CCHO + 0.213RCHO + 0.006ACET +
+         0.177MEK + 0.048PROD2 + 0.31RNO3 : (7.80e-12);
+{RNHV} RNO3 = NO2 + 0.341HO2 + 0.564RO2_R + 0.095RO2_N + 0.152R2O2 +
+         0.134HCHO + 0.431CCHO + 0.147RCHO + 0.02ACET + 0.243MEK +
+         0.435PROD2 : (1.0);
+{D1OH} DCB1 + HO = RCHO + RO2_R + CO : (5.00e-11);
+{D1O3} DCB1 + O3 = 1.5HO2 + 0.5HO + 1.5CO + GLY : (2.00e-18);
+{D2OH} DCB2 + HO = R2O2 + RCHO + CCO_O2 : (5.00e-11);
+{D2HV} DCB2 = RO2_R + 0.5CCO_O2 + 0.5HO2 + CO + R2O2 + 0.5GLY + 0.5MGLY
+        : (3.65e-1);
+{D3OH} DCB3 + HO = R2O2 + RCHO + CCO_O2 : (5.00e-11);
+{D3HV} DCB3 = RO2_R + 0.5CCO_O2 + 0.5HO2 + CO + R2O2 + 0.5GLY + 0.5MGLY
+        : (7.28e+0);
+{c1OH} CH4 + HO = C_O2 : (2.15e-12);
+{etOH} ETHENE + HO = RO2_R + 1.61HCHO + 0.195CCHO : (1.96e-12);
+{etO3} ETHENE + O3 = 0.12HO + 0.12HO2 + 0.5CO + HCHO + 0.37HCOOH
+        : (9.14e-15);
+{etN3} ETHENE + NO3 = RO2_R + RCHO : (4.39e-13);
+{etOA} ETHENE + O3P = 0.5HO2 + 0.2RO2_R + 0.3C_O2 + 0.491CO + 0.191HCHO +
+         0.25CCHO + 0.009GLY : (1.04e-11);
+{isOH} ISOPRENE + HO = 0.907RO2_R + 0.093RO2_N + 0.079R2O2 + 0.624HCHO +
+         0.23METHACRO + 0.32MVK + 0.357ISOPROD : (2.50e-11);
+{isO3} ISOPRENE + O3 = 0.266HO + 0.066RO2_R + 0.008RO2_N + 0.126R2O2 +
+         0.192MA_RCO3 + 0.275CO + 0.592HCHO + 0.1PROD2 + 0.39METHACRO +
+         0.16MVK + 0.204HCOOH + 0.15RCO_OH : (7.86e-15);
+{isN3} ISOPRENE + NO3 = 0.187NO2 + 0.749RO2_R + 0.064RO2_N + 0.187R2O2 +
+         0.936ISOPROD : (3.03e-12);
+{isOP} ISOPRENE + O3P = 0.01RO2_N + 0.24R2O2 + 0.25C_O2 + 0.24MA_RCO3 +
+         0.24HCHO + 0.75PROD2 : (3.60e-11);
+{t1OH} TRP1 + HO = 0.75RO2_R + 0.25RO2_N + 0.5R2O2 + 0.276HCHO +
+         0.474RCHO + 0.276PROD2 : (1.83e-11);
+{t1O3} TRP1 + O3 = 0.567HO + 0.033HO2 + 0.031RO2_R + 0.18RO2_N +
+         0.729R2O2 + 0.123CCO_O2 + 0.201RCO_O2 + 0.157CO + 0.235HCHO +
+         0.205RCHO + 0.13ACET + 0.276PROD2 + 0.001GLY + 0.031BACL +
+         0.103HCOOH + 0.189RCO_OH : (1.08e-15);
+{t1N3} TRP1 + NO3 = 0.474NO2 + 0.276RO2_R + 0.25RO2_N + 0.75R2O2 +
+         0.474RCHO + 0.276RNO3 : (3.66e-12);
+{t1OP} TRP1 + O3P = 0.147RCHO + 0.853PROD2 : (3.27e-11);
+{a1OH} ALK1 + HO = RO2_R + CCHO : (1.37e-12);
+{a2OH} ALK2 + HO = 0.246HO + 0.121HO2 + 0.612RO2_R + 0.021RO2_N + 0.16CO +
+         0.039HCHO + 0.155RCHO + 0.417ACET + 0.248GLY + 0.121HCOOH
+        : (9.87e-12);
+{a3OH} ALK3 + HO = 0.695RO2_R + 0.07RO2_N + 0.559R2O2 + 0.236TBU_O +
+         0.026HCHO + 0.445CCHO + 0.122RCHO + 0.024ACET + 0.332MEK
+        : (1.02e-11);
+{a4OH} ALK4 + HO = 0.835RO2_R + 0.143RO2_N + 0.936R2O2 + 0.011C_O2 +
+         0.011CCO_O2 + 0.002CO + 0.024HCHO + 0.455CCHO + 0.244RCHO +
+         0.452ACET + 0.11MEK + 0.125PROD2 : (5.95e-12);
+{a5OH} ALK5 + HO = 0.653RO2_R + 0.347RO2_N + 0.948R2O2 + 0.026HCHO +
+         0.099CCHO + 0.204RCHO + 0.072ACET + 0.089MEK + 0.417PROD2
+        : (1.11e-11);
+{b1OH} ARO1 + HO = 0.224HO2 + 0.765RO2_R + 0.011RO2_N + 0.055PROD2 +
+         0.118GLY + 0.119MGLY + 0.017PHEN + 0.207CRES + 0.059BALD +
+         0.491DCB1 + 0.108DCB2 + 0.051DCB3 : (1.81e-12);
+{b2OH} ARO2 + HO = 0.187HO2 + 0.804RO2_R + 0.009RO2_N + 0.097GLY +
+         0.287MGLY + 0.087BACL + 0.187CRES + 0.05BALD + 0.561DCB1 +
+         0.099DCB2 + 0.093DCB3 : (2.64e-11);
+{o1OH} OLE1 + HO = 0.91RO2_R + 0.09RO2_N + 0.205R2O2 + 0.732HCHO +
+         0.294CCHO + 0.497RCHO + 0.005ACET + 0.119PROD2 : (7.10e-12);
+{o1O3} OLE1 + O3 = 0.155HO + 0.056HO2 + 0.022RO2_R + 0.001RO2_N +
+         0.076C_O2 + 0.345CO + 0.5HCHO + 0.154CCHO + 0.363RCHO +
+         0.001ACET + 0.215PROD2 + 0.185HCOOH + 0.05CCO_OH + 0.119RCO_OH
+        : (2.62e-15);
+{o1N3} OLE1 + NO3 = 0.824RO2_R + 0.176RO2_N + 0.488R2O2 + 0.009CCHO +
+         0.037RCHO + 0.024ACET + 0.511RNO3 : (4.45e-14);
+{o1OP} OLE1 + O3P = 0.45RCHO + 0.437MEK + 0.113PROD2 : (1.07e-11);
+{o2OH} OLE2 + HO = 0.918RO2_R + 0.082RO2_N + 0.001R2O2 + 0.244HCHO +
+         0.732CCHO + 0.511RCHO + 0.127ACET + 0.072MEK + 0.061BALD +
+         0.025METHACRO + 0.025ISOPROD : (1.74e-11);
+{o2O3} OLE2 + O3 = 0.378HO + 0.003HO2 + 0.033RO2_R + 0.002RO2_N +
+         0.137R2O2 + 0.197C_O2 + 0.137CCO_O2 + 0.006RCO_O2 + 0.265CO +
+         0.269HCHO + 0.456CCHO + 0.305RCHO + 0.045ACET + 0.026MEK +
+         0.006PROD2 + 0.042BALD + 0.026METHACRO + 0.073HCOOH +
+         0.129CCO_OH + 0.303RCO_OH : (5.02e-16);
+{o2N3} OLE2 + NO3 = 0.391NO2 + 0.442RO2_R + 0.136RO2_N + 0.711R2O2 +
+         0.03C_O2 + 0.079HCHO + 0.507CCHO + 0.151RCHO + 0.102ACET +
+         0.001MEK + 0.015BALD + 0.048MVK + 0.321RNO3 : (7.26e-13);
+{o2OP} OLE2 + O3P = 0.013HO2 + 0.012RO2_R + 0.001RO2_N + 0.012CO +
+         0.069RCHO + 0.659MEK + 0.259PROD2 + 0.012METHACRO : (2.09e-11);
+{c1OH} HCOOH + HO = HO2 : (4.5E-13);
+{c2OH} CCO_OH + HO = 0.13RO2_R + 0.87C_O2 + 0.13MGLY : (8.00E-13);
+{c3OH} RCO_OH + HO = RO2_R + 0.605CCHO + 0.21RCHO + 0.185BACL : (1.16E-12);
Index: palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/models/cmaq/cmaq_s99.spc
===================================================================
--- palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/models/cmaq/cmaq_s99.spc	(revision 2696)
+++ palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/models/cmaq/cmaq_s99.spc	(revision 2696)
@@ -0,0 +1,82 @@
+#include atoms
+
+#DEFVAR   
+	NO2             = N + 2O;
+	NO              = N + O;
+	O3P             = O;
+	O3              = 3O;
+	NO3             = N + 3O;
+	N2O5            = 2N + 5O;
+	HNO3            = H + N + 3O;
+	O1D2            = O;
+	HO              = H + O;
+	HONO            = H + 2O + N;
+	HO2             = H + 2O;
+	CO              = C + O;
+	HNO4            = H + 4O + N;
+	HO2H            = 2H + 2O;
+	SO2             = S + 2O;
+	SULF            = IGNORE;
+	C_O2            = IGNORE;
+	HCHO            = 2H + C + O;
+	COOH            = H + 2O + C;
+	MEOH            = IGNORE;
+	RO2_R           = IGNORE;
+	ROOH            = IGNORE;
+	R2O2            = IGNORE;
+	RO2_N           = IGNORE;
+	RNO3            = IGNORE;
+	MEK             = IGNORE;
+	PROD2           = IGNORE;
+	CCO_O2          = IGNORE;
+	PAN             = IGNORE;
+	CCO_OOH         = 2C + 3O + H;
+	CCO_OH          = 2O + 2C + H;
+	RCO_O2          = IGNORE;
+	PAN2            = IGNORE;
+	CCHO            = 2C + H + O;
+	RCO_OOH         = IGNORE;
+	RCO_OH          = IGNORE;
+	BZCO_O2         = IGNORE;
+	PBZN            = IGNORE;
+	BZ_O            = IGNORE;
+	MA_RCO3         = IGNORE;
+	MA_PAN          = IGNORE;
+	TBU_O           = IGNORE;
+	ACET            = IGNORE;
+	NPHE            = IGNORE;
+	PHEN            = IGNORE;
+	BZNO2_O         = IGNORE;
+	HOCOO           = IGNORE;
+	HCOOH           = IGNORE;
+	RCHO            = IGNORE;
+	GLY             = IGNORE;
+	MGLY            = IGNORE;
+	BACL            = IGNORE;
+	CRES            = IGNORE;
+	BALD            = IGNORE;
+	METHACRO        = IGNORE;
+	MVK             = IGNORE;
+	ISOPROD         = IGNORE;
+	DCB1            = IGNORE;
+	DCB2            = IGNORE;
+	DCB3            = IGNORE;
+	ETHENE          = 2C + 4H;
+	ISOPRENE        = IGNORE;
+	TRP1            = IGNORE;
+	ALK1            = IGNORE;
+	ALK2            = IGNORE;
+	ALK3            = IGNORE;
+	ALK4            = IGNORE;
+	ALK5            = IGNORE;
+	ARO1            = IGNORE;
+	ARO2            = IGNORE;
+	OLE1            = IGNORE;
+	OLE2            = IGNORE;
+
+#DEFFIX	
+	M		= IGNORE;
+	O2		= 2O;
+	H2O		= 2H + O;
+	H2		= 2H;	
+	CH4		= C + 4H;	
